tebarDocs
GuideDevelopersAPI ReferenceChangelog
Insights

Get the last insight sync

GET
/v1/insights/sync

Requires the read scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Header Parameters

Tebar-Profile?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Response Body

Where the last sync is.

application/json
  1. response
status*string
Value in"idle""running""done""failed"
started_at?string
Formatdate-time
finished_at?string
Formatdate-time
result?

The POST answer, when done.

Example Request
curl -X GET 'https://api.tebar.app/v1/insights/sync'
Example Response
{
  "status": "idle",
  "started_at": "2019-08-24T14:15:22Z",
  "finished_at": "2019-08-24T14:15:22Z",
  "result": {
    "property1": null,
    "property2": null
  }
}